%global momorel 1

## define alphatag svn1741

Name: openais
Summary: The openais Standards-Based Cluster Framework executive and APIs
Version: 0.94
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Base
URL: http://developer.osdl.org/dev/openais/
Source0: http://developer.osdl.org/dev/openais/downloads/openais-%{version}/openais-%{version}.tar.gz
NoSource: 0

# Runtime bits
Requires(post): chkconfig
Requires(preun): chkconfig
Requires: corosync >= 0.95-1
Requires: openaislib = %{version}-%{release}
Conflicts: openais-devel <= 0.89

# Setup/build bits
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: corosynclib-devel >= 0.95-1

%prep
%setup -q -n openais-%{version}

%build
# -O3 required for performance reasons
# So we get proper debug output, for now we don't compile with O3
#CFLAGS="$(echo '%{optflags}' | sed -e 's/-O[0-9]*//') -O3"
CFLAGS="$(echo '%{optflags}')"
make CFLAGS="$CFLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} STATICLIBS=NO
mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 init/redhat %{buildroot}%{_initscriptdir}/openais

%clean
rm -rf %{buildroot}

%description 
This package contains the openais service handlers, default configuration
files and init script.

%post
/sbin/chkconfig --add openais || :

%preun
if [ $1 -eq 0 ]; then
    %{_initscriptdir}/openais stop &>/dev/null || :
    /sbin/chkconfig --del openais || :
fi

%postun
[ "$1" -ge "1" ] && %{_initscriptdir}/openais condrestart &>/dev/null || :

%files 
%defattr(-,root,root,-)
%doc LICENSE README.amf
%dir /etc/ais
%config(noreplace) /etc/ais/openais.conf
%config(noreplace) /etc/ais/amf.conf
%{_initscriptdir}/openais
#%%dir %{_libexecdir}/lcrso
%{_libexecdir}/lcrso/openaisparser.lcrso
%{_libexecdir}/lcrso/openaisserviceenable.lcrso
%{_libexecdir}/lcrso/service_amf.lcrso
%{_libexecdir}/lcrso/service_ckpt.lcrso
%{_libexecdir}/lcrso/service_clm.lcrso
%{_libexecdir}/lcrso/service_evt.lcrso
%{_libexecdir}/lcrso/service_lck.lcrso
%{_libexecdir}/lcrso/service_msg.lcrso
%{_libexecdir}/lcrso/service_tmr.lcrso
%{_mandir}/man8/openais_overview.8*
%{_mandir}/man5/openais.conf.5*
%{_mandir}/man5/amf.conf.5*
%{_sbindir}/aisexec
%{_sbindir}/openais-instantiate

%package -n openaislib
Summary: The openais Standards-Based Cluster Framework libraries
Group: System Environment/Libraries
Conflicts: openais < 0.91-6

%description -n openaislib
This package contains openais libraries. 

%files -n openaislib
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) /etc/ld.so.conf.d/openais-*.conf
%dir %{_libdir}/openais
%{_libdir}/openais/libSaAmf.so.*
%{_libdir}/openais/libSaCkpt.so.*
%{_libdir}/openais/libSaClm.so.*
%{_libdir}/openais/libSaEvt.so.*
%{_libdir}/openais/libSaLck.so.*
%{_libdir}/openais/libSaMsg.so.*
%{_libdir}/openais/libSaTmr.so.*

%post -n openaislib -p /sbin/ldconfig

%postun -n openaislib -p /sbin/ldconfig

%package -n openaislib-devel
Summary: The openais Standards-Based Cluster Framework libraries
Group: Development/Libraries
Requires: openaislib = %{version}-%{release}
Requires: pkgconfig
Provides: openais-devel = %{version}
Obsoletes: openais-devel < 0.91-6

%description -n openaislib-devel
This package contains the include files used to develop using openais APIs.

%files -n openaislib-devel
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_includedir}/openais/
%{_includedir}/openais/saAis.h
%{_includedir}/openais/saAmf.h
%{_includedir}/openais/saCkpt.h
%{_includedir}/openais/saClm.h
%{_includedir}/openais/saEvt.h
%{_includedir}/openais/saLck.h
%{_includedir}/openais/saMsg.h
%{_includedir}/openais/saTmr.h
%{_libdir}/openais/libSaAmf.so
%{_libdir}/openais/libSaCkpt.so
%{_libdir}/openais/libSaClm.so
%{_libdir}/openais/libSaEvt.so
%{_libdir}/openais/libSaLck.so
%{_libdir}/openais/libSaMsg.so
%{_libdir}/openais/libSaTmr.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue May 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.94-1m)
- sync with Fedora 11 (0.94-1)

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.80.3-4m)
- apply gcc44 patch
- License: Modified BSD

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.80.3-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.80.3-2m)
- rebuild against gcc43

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.3-1m)
- update 0.80.3

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-4m)
- modify Requires
- revise %%preun and %%postun

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.80.1-3m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Mon Jul 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-2m)
- add Requires: chkconfig

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.80.1-1m)
- initial commit. import from FC-devel

